Bug 767719 - /etc/updatedb.conf entry error
Summary: /etc/updatedb.conf entry error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: BackupPC
Version: el5
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-14 18:23 UTC by Stefano Biagiotti
Modified: 2015-09-16 12:22 UTC (History)
2 users (show)

Fixed In Version: BackupPC-3.2.1-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-01 19:21:39 UTC


Attachments (Terms of Use)

Description Stefano Biagiotti 2011-12-14 18:23:41 UTC
I installed BackupPC-3.2.1-6.el5 on CentOS 5 from EPEl with:
 # yum install BackupPC

When starting the service, backuppc complains:
 # service backuppc start
 Starting BackupPC:                                         [  OK  ]
 BackupPC: WARNING:  Your BackupPC $Conf{TopDir} is not listed in the locate
 BackupPC: database configuration's PRUNEPATHS.  This may cause all of your
 BackupPC: backed up files to be indexed!

In /etc/updatedb I have:
 PRUNEPATHS = "... /usr/com/BackupPC"

I'm not familiar with RPM packaging but tried to read the spec file and I found:
 # add BackupPC backup directories to PRUNEPATHS in locate database
 if [ -w %{_updatedb_conf} ]; then
 grep ^PRUNEPATHS %{_updatedb_conf} | grep %{_sharedstatedir}/%{name}>/dev/null
 if [ $? -eq 1 ]; then
 sed -i '\@PRUNEPATHS@s@"$@ '%{_sharedstatedir}/%{name}'"@' %{_updatedb_conf}
 fi
 fi

%{_sharedstatedir} expands to %{_prefix}/com in EPEL 4 & 5 as stated here:
https://fedoraproject.org/wiki/Archive:PackagingDrafts/RPMMacros_sharedstatedir_optflags_and_admonitions

Adding on top of the spec file the following line maybe can resolve the issue:
 %define _sharedstatedir /var/lib
Don't know if this works (didn't try) neither if this is the most correct way.

Trivial workaround:
PRUNEPATHS = "... /var/lib/BackupPC"

Comment 1 Bernard Johnson 2011-12-14 19:18:58 UTC
What is $Conf{TopDir} set to in your backuppc configuration?

Comment 2 Bernard Johnson 2011-12-14 19:24:15 UTC
(In reply to comment #1)
> What is $Conf{TopDir} set to in your backuppc configuration?

Ok, nevermind, I see in Fedora that _sharedstatedir is defined as /var/lib but in RHEL it's defined as %{_prefix}/com (/usr/com).  I'm not sure why yet.

Comment 3 Fedora Update System 2012-01-23 03:11:55 UTC
BackupPC-3.2.1-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-7.fc16

Comment 4 Fedora Update System 2012-01-23 03:13:35 UTC
BackupPC-3.2.1-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-7.fc15

Comment 5 Fedora Update System 2012-01-23 03:16:25 UTC
BackupPC-3.2.1-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-7.el6

Comment 6 Fedora Update System 2012-01-23 03:17:38 UTC
BackupPC-3.2.1-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-7.el5

Comment 7 Fedora Update System 2012-01-23 17:33:44 UTC
Package BackupPC-3.2.1-7.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing BackupPC-3.2.1-7.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0203/BackupPC-3.2.1-7.el5
then log in and leave karma (feedback).

Comment 8 Stefano Biagiotti 2012-01-25 17:12:32 UTC
I can't test this extensively, but I installed it and works for me.

Comment 9 Fedora Update System 2012-02-01 19:21:39 UTC
BackupPC-3.2.1-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-02-01 19:29:10 UTC
BackupPC-3.2.1-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-02-09 18:44:00 UTC
BackupPC-3.2.1-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-02-09 18:45:42 UTC
BackupPC-3.2.1-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Tommy DEVOYE 2015-09-16 12:22:14 UTC
Hello guys,

[root@]# /etc/init.d/backuppc restart
Shutting down BackupPC:                                    [  OK  ]
Starting BackupPC:                                         [  OK  ]
BackupPC: WARNING:  Your BackupPC $Conf{TopDir} is not listed in the locate
BackupPC: database configuration's PRUNEPATHS.  This may cause all of your
BackupPC: backed up files to be indexed!

I have just solve this problem in a few steps.

1- look at your file " config.pl " in the " /etc/BackupPC " directory and try to find the directory completed after " $Conf{TopDir} = " for me it is " '/var/lib/BackupPC/' ; "

2- paste this path in the file " /etc/updatedb.conf " like this :
RUNEPATHS = "/afs /media /net /sfs /tmp /udev /var/spool/cups /var/spool/squid /var/tmp /var/lib/BackupPC/ /etc/BackupPC/"

( I have also added the config directory )

3- Save and restart service.

[root@]# /etc/init.d/backuppc restart
Shutting down BackupPC:                                    [  OK  ]
Starting BackupPC:                                         [  OK  ]

It works !

Have a nice day.

Tommy DEVOYE
Network Admin


Note You need to log in before you can comment on or make changes to this bug.